Subject: Re: [PATCH 1/2] Bluetooth: notify userspace of security level change

From: Gustavo Padovan <[email-masked]>
Date: Sun, 13 May 2012 03:22:24 -0300

Hi,

* Gustavo Padovan <[email-masked]> [2012-05-12 16:11:49 -0300]:

> When the userspace request a security level change it needs to be notified
> of when the change is complete.
> This patch make the socket non writable while the security request is
> ongoing. If it succeeds POLL_OUT is emitted, otherwise the channel is
> disconnected.

I just sent a second version of this patches that includes comments Johan made
in the last e-mail for better understanding of what the problem really is.

	Gustavo